## k3b-trinity 14.1.4

=== debian/changelog ===
k3b-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
Source: k3b-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Francois Marier <francois@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends:
 cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 libdvdread-dev, libasound2-dev, lame, libmp3lame-dev,
 libflac++-dev (>= 1.1.2), flac, libpopt-dev, libmpcdec-dev, libtag1-dev (>= 1.4-3), libmad0-dev,
 libavformat-dev, libavcodec-dev, libvorbis-dev, libsamplerate0-dev, libsndfile1-dev
Standards-Version: 3.8.4
Homepage: http://www.k3b.org

Package: k3b-trinity
Architecture: any
Depends: ${shlibs:Depends}, wodim | cdrskin, cdparanoia (>= 3a9.8), genisoimage, tdelibs-data-trinity (>= 4:3.1.4-2), cdrdao (>= 1.1.7-5), k3b-data-trinity (= ${source:Version}), libk3b3-trinity (= ${binary:Version})
Replaces: k3b-trinity (<< 4:14.0.0~)
Breaks: k3b-trinity (<< 4:14.0.0~)
Recommends: dvd+rw-tools, libk3b3-extracodecs-trinity
Suggests: k3b-i18n-trinity, normalize-audio, toolame, sox, movixmaker-2, vcdimager (>= 0.7)
Description: A sophisticated TDE CD burning application [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 It can be used to copy CDs and burn:
  - audio CDs (from wav, mp3 or ogg vorbis files)
  - data CDs and DVDs
  - mixed-mode CDs (CD-Extra support)
  - VCDs (1.1, 2.0 and SVCD)
  - ISO files (Joliet/Rockridge and El Torito support)
  - eMovix CDs

Package: k3b-data-trinity
Conflicts: k3b-trinity (<< 1.0.4-4)
Architecture: all
Replaces: k3b-data-trinity (<< 4:14.0.0~)
Breaks: k3b-data-trinity (<< 4:14.0.0~)
Description: A sophisticated TDE CD burning application - data files [Trinity]
 K3b is a GUI frontend to the CD recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording.
 .
 This package contains the required data files common to all architectures.

Package: libk3b-trinity-dev
Conflicts: libk3bcore-trinity-dev, libk3bplugin-trinity-dev, libk3btools-trinity-dev, libk3bproject-trinity-dev, k3blibs-trinity-dev, k3blibs-trinity
Section: libdevel
Replaces: libk3b-trinity-dev (<< 4:14.0.0~)
Breaks: libk3b-trinity-dev (<< 4:14.0.0~)
Architecture: any
Depends: libk3b3-trinity (= ${binary:Version})
Description: The TDE cd burning application library - development files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains development files.

Package: libk3b3-trinity
Section: libs
Architecture: any
Replaces: libk3b3-trinity (<< 4:14.0.0~)
Breaks: libk3b3-trinity (<< 4:14.0.0~)
Conflicts: libk3bcore-trinity, libk3bplugin-trinity, libk3btools-trinity, libk3bproject-trinity, k3blibs-trinity
Depends: ${shlibs:Depends}
Description: The TDE cd burning application library - runtime files [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries.

Package: libk3b3-extracodecs-trinity
Section: libs
Architecture: any
Replaces: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Breaks: libk3b3-extracodecs-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: The TDE cd burning application library - extra decoders [Trinity]
 K3b is a GUI frontend to the cd recording programs cdrdao and cdrecord.
 Its aim is to provide a very user friendly interface to all the tasks
 that come with cd recording and a lot more.
 .
 This package contains runtime libraries for the MP3 and FFMPEG decoder plugin.

Package: k3b-trinity-dbg
Priority: extra
Architecture: any
Depends: k3b-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for K3b [Trinity]
 This package provides debugging symbols for all binary packages built from
 k3b source package. It's highly recommended to have this package installed
 before reporting any K3b crashes to either K3b developers or Debian
 package maintainers.

## k3b-trinity 14.1.5~pre8

=== debian/changelog ===
k3b-trinity (4:14.1.5~pre8-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for b65e67bf2ded91c33e679d02bab5852bc33e5d0e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## k3b-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( k3b )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckCSourceCompiles )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
enable_language( ASM )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS   "Enable all sane supported options" OFF )
option( WITH_LIBDVDREAD    "Enable support for libdvdread"    ${WITH_ALL_OPTIONS} )
option( WITH_MUSICBRAINZ   "Enable Musicbrainz support" OFF )
option( WITH_SYSTEM_LIBSAMPLERATE
    "Use system libsamplerate instead of bundled one" ON )
option( WITH_TDEHWLIB      "Enable TDE hardware library support" ${WITH_ALL_OPTIONS} )
option( WITH_DEBUG         "Enable extra debug" OFF )

# sound output plugins
option( WITH_ALSA     "Enable alsa support"             ${WITH_ALL_OPTIONS} )
option( WITH_ARTS     "Enable arts sound daemon support" ${WITH_ALL_OPTIONS} )

# decoder plugins
option( WITH_FFMPEG   "Enable support for decoding with ffmpeg"       ${WITH_ALL_OPTIONS} )
option( WITH_FFMPEG_ALL_CODECS "Enable support for all codecs provided by ffmpeg" OFF   )
option( WITH_FLAC     "Enable support for decoding flac files"        ${WITH_ALL_OPTIONS} )
option( WITH_SNDFILE  "Enable support for decoding via libsndfile"    ${WITH_ALL_OPTIONS} )
option( WITH_TAGLIB   "Enable support for taglib"                     ${WITH_ALL_OPTIONS} )
option( WITH_MAD      "Enable support for decoding mp3 via libmad"    ${WITH_ALL_OPTIONS} )
option( WITH_MUSEPACK "Enable support for decoding via musepack (mpcdec)" OFF )
option( WITH_VORBIS   "Enable support for en/decoding ogg via vorbis" ${WITH_ALL_OPTIONS} )
# Note: WITH_VORBIS enables both decoding and encoding
# Note: wave plugin build unconditionally due to it doesn't have any external deps
# Note: k3b requires some acient version of musepack

# encoder plugins
option( WITH_LAME          "Enable support for mp3 encoding via lame" ${WITH_ALL_OPTIONS} )
# see WITH_VORBIS
# Note: external and sox plugins are enabled by default due to they don't have
#       any additional build-time deps

# Note: permanently disabled options:
#       resmgr             - it seams to be completly outdated
#       cdrecord-suid-root - commented out in source code anyway
#       cam library - freebsd stuff should be added by somebody with bsd
#                     experience

##### options comments ##########################

# WITH_LIBDVDREAD     if disabled removes dvd reaping functionality
#                     requires libdvdread: http://dvdnav.mplayerhq.hu/
# WITH_MUSICBRAINZ    if enabled adds support for musicbrainz service for
#                     query metadata about audio cds
#                     requires media-libs/musicbrainz library: http://musicbrainz.org/doc/libmusicbrainz
# WITH_SYSTEM_LIBSAMPLERATE if disabled the bundled version of libsamplerate
#                     is used and staticaly linked into the k3b
#                     requires media-libs/libsamplerate: http://www.mega-nerd.com/SRC/
# WITH_DEBUG          if enabled extra debug output is provided
# WITH_ALSA           if enabled build the alsa output driver; it's a good
#                     idea to enable it on a linux othervice sound playback
#                     may fallback to arts
# WITH_ARTS           if disabled disables fuctionality to play audio (files
#                     or CDs, not sure exactly)
#                     requires arts (an optional part of TDE)
# WITH_FFMPEG         if enabled build an ffmpeg decoding plugin
#                     requires ffmpeg
# WITH_FFMPEG_ALL_CODECS
#                     affects ffmpeg plugin
#                     if enabled makes ffmpeg to decode all formats is
#                     supports; this is untested and may result in some
#                     bugs: e.g. display of wrong length
# WITH_FLAC           if enabled build flac decoding plugin
#                     requires media-sound/flac: http://flac.sourceforge.net
# WITH_LAME           if enabled build mp3 encoding file via lame
#                     requires media-sound/lame: http://lame.sourceforge.net/
# WITH_TAGLIB         if enabled provides support for tags in mp3 and flac
#                     requires media-libs/taglib: https://taglib.github.io/
#                     note: make sence if either WITH_FLAC or WITH_LIBMAD is set
# WITH_SNDFILE        if enabled build libsndfile encoding plugin
#                     requires media-libs/libsndfile: http://www.mega-nerd.com/libsndfile
# WITH_MAD            if enabled build mp3 decoding plugin
#                     requires media-libs/libmad: http://mad.sourceforge.net
# WITH_MUSEPACK       if enabled build musepack decoding plugin
#                     requires musepack (libmpcdec): http://www.musepack.net
#                     WARNING k3b requires some acient version of musepack
# WITH_VORBIS         if enabled build ogg encoding/decoding plugin
#                     requires media-libs/libvorbis: http://xiph.org/vorbis


##### user requested modules ####################

option( BUILD_K3BSETUP "Build K3bSetup2 TDEControl module" OFF )
option( BUILD_DOC "Build documentation" ON )
# option( BUILD_TRANSLATIONS "Build translations" ON )

# Note: probably modern linux systems don't need BUILD_K3BSETUP; so it's
#       disabled by default


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### k3b directories ###########################

add_subdirectory( libk3b          )
add_subdirectory( libk3bdevice    )
add_subdirectory( plugins         )
add_subdirectory( src             )
add_subdirectory( tdefile-plugins )
add_subdirectory( tdeioslaves     )
tde_conditional_add_subdirectory( BUILD_K3BSETUP k3bsetup )
tde_conditional_add_project_docs( BUILD_DOC )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== plugins/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( decoder )
add_subdirectory( encoder )
add_subdirectory( audiooutput )
add_subdirectory( project )

=== tdefile-plugins/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( k3bproject )

=== libk3b/jobs/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3b/jobs
  ${CMAKE_SOURCE_DIR}/libk3b/projects
  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3b/cddb
  ${CMAKE_SOURCE_DIR}/libk3b/videodvd
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### jobs (static) #############################

if ( WITH_LIBDVDREAD )
  set ( VIDEODVDRIP_SOURCES k3bvideodvdtitletranscodingjob.cpp
    k3bvideodvdtitledetectclippingjob.cpp )
endif ( )

tde_add_library( jobs STATIC_PIC AUTOMOC
  SOURCES k3bdatatrackreader.cpp k3breadcdreader.cpp k3bcdcopyjob.cpp
    k3bclonejob.cpp k3baudiosessionreadingjob.cpp k3bdvdcopyjob.cpp
    k3baudiocuefilewritingjob.cpp k3bbinimagewritingjob.cpp
    k3biso9660imagewritingjob.cpp k3bdvdformattingjob.cpp k3bblankingjob.cpp
    k3bclonetocreader.cpp k3bverificationjob.cpp ${VIDEODVDRIP_SOURCES}
)


##### Headers ###################################

install( FILES k3bcdcopyjob.h k3bdvdcopyjob.h k3bclonejob.h
	k3baudiocuefilewritingjob.h k3bbinimagewritingjob.h
	k3biso9660imagewritingjob.h k3bdvdformattingjob.h
	k3bblankingjob.h k3bverificationjob.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

if ( WITH_LIBDVDREAD )
  install( FILES k3bvideodvdtitletranscodingjob.h k3bvideodvdtitledetectclippingjob.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
  )
endif ( WITH_LIBDVDREAD )

=== libk3b/projects/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( datacd )
add_subdirectory( audiocd )
add_subdirectory( mixedcd )
add_subdirectory( movixcd )
add_subdirectory( videocd )
add_subdirectory( datadvd )
add_subdirectory( movixdvd )
add_subdirectory( videodvd )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/datacd
  ${CMAKE_CURRENT_SOURCE_DIR}/audiocd
  ${CMAKE_CURRENT_SOURCE_DIR}/mixedcd
  ${CMAKE_CURRENT_SOURCE_DIR}/movixcd
  ${CMAKE_CURRENT_SOURCE_DIR}/videocd
  ${CMAKE_CURRENT_SOURCE_DIR}/datadvd
  ${CMAKE_CURRENT_SOURCE_DIR}/movixdvd
  ${CMAKE_CURRENT_SOURCE_DIR}/videodvd
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### k3bproject (static) #######################

tde_add_library( k3bproject STATIC_PIC AUTOMOC
  SOURCES k3babstractwriter.cpp k3bgrowisofswriter.cpp k3bgrowisofshandler.cpp
    k3bdoc.cpp k3bcdrdaowriter.cpp k3bcdrecordwriter.cpp k3binffilewriter.cpp
    k3btocfilewriter.cpp k3bimagefilereader.cpp k3bcuefileparser.cpp
    k3bpipebuffer.cpp
)


##### Headers ###################################

install( FILES k3bdoc.h k3bgrowisofswriter.h k3bcdrdaowriter.h
    k3bcdrecordwriter.h k3binffilewriter.h k3btocfilewriter.h
    k3bcuefileparser.h k3bimagefilereader.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== plugins/decoder/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( wave )
tde_conditional_add_subdirectory( WITH_FFMPEG   ffmpeg     )
tde_conditional_add_subdirectory( WITH_FLAC     flac       )
tde_conditional_add_subdirectory( WITH_SNDFILE  libsndfile )
tde_conditional_add_subdirectory( WITH_MAD      mp3        )
tde_conditional_add_subdirectory( WITH_MUSEPACK musepack   )
tde_conditional_add_subdirectory( WITH_VORBIS   ogg        )

=== plugins/encoder/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


add_subdirectory( sox )
add_subdirectory( external )
tde_conditional_add_subdirectory( WITH_LAME   lame )
tde_conditional_add_subdirectory( WITH_VORBIS ogg  )

=== plugins/project/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( audioprojectcddb )
add_subdirectory( audiometainforenamer )

=== src/mimetypes/CMakeLists.txt ===

tde_create_translated_desktop(
  SOURCE x-k3b.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
)

=== src/misc/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/jobs
  ${CMAKE_SOURCE_DIR}/libk3b/projects
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_SOURCE_DIR}/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### misc (static) #############################

tde_add_library( misc STATIC_PIC AUTOMOC
  SOURCES k3bdvdformattingdialog.cpp k3bcdcopydialog.cpp k3bdvdcopydialog.cpp
    k3bcdimagewritingdialog.cpp k3bisoimagewritingdialog.cpp
    k3bblankingdialog.cpp
)

=== src/option/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_SOURCE_DIR}/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### option (static) ###########################

tde_add_library( option STATIC_PIC AUTOMOC
  SOURCES base_k3bcddboptiontab.ui base_k3bmiscoptiontab.ui
    base_k3bpluginoptiontab.ui base_k3bthemeoptiontab.ui k3bmiscoptiontab.cpp
    k3bexternalbinoptiontab.cpp k3bcddboptiontab.cpp k3bburningoptiontab.cpp
    k3boptiondialog.cpp k3bdeviceoptiontab.cpp k3bnotifyoptiontab.cpp
    k3bpluginoptiontab.cpp k3bthemeoptiontab.cpp k3bdevicewidget.cpp
    k3bexternalbinwidget.cpp
)

=== src/sounds/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    k3b_success1.wav k3b_error1.wav k3b_wait_media1.wav
  DESTINATION ${SOUND_INSTALL_DIR} )

=== debian/changelog ===
k3b-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_TIME64_API         = $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
ifeq ($(DEB_TIME64_API),true)
DEB_TIME64_SUFFIX      = t64
else
DEB_TIME64_SUFFIX      =
endif


DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"


post-patches::
	dh_testdir
ifeq ($(DEB_TIME64_API),true)
	# update library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "/libk3b3-trinity\." | \
	grep -v "\.t64$$" | \
	while read a; do \
	   [ -d $$a ] || [ -f $$a.t64 ] || \
	   (cp -a $$a debian/libk3b3$(DEB_TIME64_SUFFIX)-$${a##*-} && mv $$a $$a.t64); \
	done
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	   -e "s/^Package: \\(libk3b3\\)-trinity$$/Package: \\1$(DEB_TIME64_SUFFIX)-trinity/" \
	   -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libk3b3-trinity\\)\\( [^,]*\|$$\)/\\1:\\2\\3/" \
	   -e "s/\\(libk3b3\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	   debian/control
endif

clean::
	dh_testdir
	dh_clean

ifeq ($(DEB_TIME64_API),true)
	# revert library package name for TIME64 ABI
	ls -d debian/* | \
	grep -E "\.t64$$" | \
	while read a; do \
	   mv $$a $${a%.t64}; \
	done
	ls -d debian/* | \
	grep -E "/libk3b3$(DEB_TIME64_SUFFIX)-" | \
	xargs -r rm
	[ -f debian/control.t64 ] || \
	sed -i.t64 \
	   -e "s/^Package: \\(libk3b3\\)-trinity$$/Package: \\1$(DEB_TIME64_SUFFIX)-trinity/" \
	   -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libk3b3-trinity\\)\\( [^,]*\|$$\)/\\1:\\2\\3/" \
	   -e "s/\\(libk3b3\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
	   debian/control
else
	[ ! -f debian/control.t64 ] || \
	mv debian/control.t64 debian/control
endif

## k3b-trinity 14.1.6~pre0

=== debian/changelog ===
k3b-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b65e67bf2ded91c33e679d02bab5852bc33e5d0e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## k3b-trinity 14.1.6~pre1

=== debian/changelog ===
k3b-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b429693865bf2219114fb2add5b39aed7171aff9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 05 Dec 2025 22:31:49 +0100

## k3b-trinity 14.1.6~pre2

=== debian/changelog ===
k3b-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 65279ba57a776e39d0a2ef443e92950bc218b9b3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 22:32:44 +0100

## k3b-trinity 14.1.6~pre3

=== debian/changelog ===
k3b-trinity (4:14.1.6~pre3-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for f6d18a4dc5de2bfe8c48822c1127e47028fb3bbd
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jan 2026 02:57:14 +0100

## k3b-trinity 14.1.6~pre5

=== debian/changelog ===
k3b-trinity (4:14.1.6~pre5-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 7a9c6b0ff5e92e2e65fd7261a38a889525e0ff0e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 15:51:33 +0100

## k3b-trinity 14.2.0~pre61

=== libk3b/tools/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( libisofs )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  #  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### k3btools (static) #########################

tde_add_library( k3btools STATIC_PIC AUTOMOC
  SOURCES k3bwavefilewriter.cpp k3bbusywidget.cpp k3bdeviceselectiondialog.cpp
    k3bmd5job.cpp k3btitlelabel.cpp k3bcutcombobox.cpp k3bstringutils.cpp
    k3bdevicecombobox.cpp kcutlabel.cpp k3bstdguiitems.cpp k3bvalidators.cpp
    k3bthroughputestimator.cpp k3biso9660.cpp k3bmultichoicedialog.cpp
    k3bdevicehandler.cpp k3bcdparanoialib.cpp k3blistview.cpp k3bmsfedit.cpp
    k3bcdtextvalidator.cpp k3bintvalidator.cpp k3bexceptions.cpp
    k3bprogressdialog.cpp k3btoolbox.cpp k3bpushbutton.cpp
    k3blistviewitemanimator.cpp k3bthreadwidget.cpp k3bradioaction.cpp
    k3bsignalwaiter.cpp k3blibdvdcss.cpp k3biso9660backend.cpp k3bpipe.cpp
    k3bchecksumpipe.cpp k3btoolbutton.cpp k3bintmapcombobox.cpp
    k3bdirsizejob.cpp k3brichtextlabel.cpp k3btempfile.cpp k3bactivepipe.cpp
    k3bfilesplitter.cpp k3bfilesysteminfo.cpp
)


##### Headers ###################################

install( FILES k3bwavefilewriter.h k3bbusywidget.h k3bdeviceselectiondialog.h
    k3bmd5job.h k3bcutcombobox.h k3bstringutils.h
    k3bdevicecombobox.h kcutlabel.h k3bstdguiitems.h
    k3bvalidators.h k3bthroughputestimator.h k3biso9660.h
    k3bmultichoicedialog.h k3bdevicehandler.h k3bcdparanoialib.h
    k3blistview.h k3bmsfedit.h k3bcdtextvalidator.h
    k3bintvalidator.h k3bexceptions.h k3bprogressdialog.h
    k3btoolbox.h k3bpushbutton.h k3blistviewitemanimator.h
    k3bthreadwidget.h k3bradioaction.h k3bsignalwaiter.h
    k3biso9660backend.h k3bpipe.h k3bdirsizejob.h
    k3bchecksumpipe.h k3btoolbutton.h k3bintmapcombobox.h
    k3brichtextlabel.h  k3btempfile.h k3bactivepipe.h
    k3bfilesplitter.h k3bfilesysteminfo.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== src/projects/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kostore )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/cddb
  ${CMAKE_SOURCE_DIR}/libk3b/jobs
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_SOURCE_DIR}/libk3b/projects
  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/datadvd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/videocd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/mixedcd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixcd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/videodvd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/movixdvd
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/rip
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### projects (static) #########################

tde_add_library( projects STATIC_PIC AUTOMOC
  SOURCES k3baudioburndialog.cpp k3baudiocdtextwidget.cpp
    k3baudiodatasourceviewitem.cpp k3baudioeditorwidget.cpp
    k3baudiotrackdialog.cpp k3baudiotrackwidget.cpp k3baudiotrackplayer.cpp
    k3baudiotracksplitdialog.cpp k3baudiotrackview.cpp
    k3baudiotrackviewitem.cpp k3baudioview.cpp base_k3baudiocdtextwidget.ui
    base_k3baudiocdtextallfieldswidget.ui base_k3baudiotrackwidget.ui
    k3bmixedburndialog.cpp k3bmixeddirtreeview.cpp k3bmixedview.cpp
    base_k3badvanceddataimagesettings.ui base_k3bbootimageview.ui
    base_k3bdataimagesettings.ui base_k3bdatavolumedescwidget.ui
    k3bdataadvancedimagesettingswidget.cpp k3bdatadirtreeview.cpp
    k3bdatafileview.cpp k3bdataimagesettingswidget.cpp
    k3bdatapropertiesdialog.cpp k3bdataview.cpp k3bdataviewitem.cpp
    k3bdatavolumedescwidget.cpp k3bdataburndialog.cpp k3bbootimagedialog.cpp
    k3bbootimageview.cpp k3bdvdburndialog.cpp k3bdvdview.cpp
    base_k3bmovixoptionswidget.ui k3bmovixburndialog.cpp k3bmovixlistview.cpp
    k3bmovixoptionswidget.cpp k3bmovixview.cpp k3bmovixdvdburndialog.cpp
    k3bmovixdvdview.cpp k3bvideodvdburndialog.cpp k3bvideodvdview.cpp
    k3bvcdburndialog.cpp k3bvcdlistview.cpp k3bvcdlistviewitem.cpp
    k3bvcdtrackdialog.cpp k3bvcdview.cpp k3bfillstatusdisplay.cpp k3bview.cpp
    k3bprojectburndialog.cpp k3bprojectplugindialog.cpp
    k3baudiotracktrmlookupdialog.cpp k3bdatamultisessioncombobox.cpp
    k3bmusicbrainzjob.cpp k3bdataurladdingdialog.cpp
    k3bdatasessionimportdialog.cpp k3baudiodatasourceeditwidget.cpp
    k3baudiotrackaddingdialog.cpp k3bencodingconverter.cpp
  LINK kostore-static
)

=== libk3b/plugin/libsamplerate/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### samplerate (static) #######################

tde_add_library( samplerate STATIC_PIC AUTOMOC
  SOURCES samplerate.c src_sinc.c src_zoh.c src_linear.c
)

=== libk3b/projects/mixedcd/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3b/projects
  ${CMAKE_SOURCE_DIR}/libk3b/projects/datacd
  ${CMAKE_SOURCE_DIR}/libk3b/projects/audiocd
  ${CMAKE_SOURCE_DIR}/libk3b/tools
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)

##### mixed (static) ############################

tde_add_library( mixed STATIC_PIC AUTOMOC
  SOURCES k3bmixeddoc.cpp k3bmixedjob.cpp
)


##### Headers ###################################

install( FILES k3bmixeddoc.h k3bmixedjob.h
  DESTINATION ${INCLUDE_INSTALL_DIR}
)

=== plugins/decoder/flac/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${FLAC_LIBRARY_DIRS}
  ${TAGLIB_LIBRARY_DIRS}
)

if( ${FLAC_VERSION} VERSION_GREATER "1.1.1" )
  add_definitions( -DFLAC_NEWER_THAN_1_1_1=1 )
endif( )

##### libk3bflacdecoder (kpart) #################

tde_add_kpart( libk3bflacdecoder AUTOMOC
  SOURCES k3bflacdecoder.cpp
  LINK tdecore-shared k3b-shared k3bdevice-shared
    ${FLAC_LIBRARIES} ${TAGLIB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE k3bflacdecoder.plugin
  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
)

=== plugins/encoder/lame/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libk3b/core
  ${CMAKE_SOURCE_DIR}/libk3b/plugin
  ${CMAKE_SOURCE_DIR}/libk3bdevice
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### libk3blameencoder (kpart) #################

tde_add_kpart( libk3blameencoder AUTOMOC
  SOURCES base_k3blameencodersettingswidget.ui
    base_k3bmanualbitratesettingswidget.ui k3blameencoder.cpp
  LINK tdecore-shared k3b-shared k3bdevice-shared mp3lame
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE k3blameencoder.plugin
  DESTINATION ${DATA_INSTALL_DIR}/k3b/plugins
)

=== src/icons/actions/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/k3b/icons )

=== src/pics/73lab/CMakeLists.txt ===
# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

tde_create_translated_desktop(
  SOURCE k3b.theme
  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/73lab
)

install( FILES splash.png project_left.png project_right.png probing.png
  media_audio.png media_data.png media_video.png media_empty.png media_left.png
  media_mixed.png media_none.png progress_working.png progress_fail.png
  progress_success.png progress_right.png dialog_left.png dialog_right.png
  welcome_bg.png
  DESTINATION ${DATA_INSTALL_DIR}/k3b/pics/73lab
)

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre61-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 2c22ca30dba171c9b35fdde8f3b0d6adfdf3ba9e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## k3b-trinity 14.2.0~pre62

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre62-0ubuntu25.10.0+10) questing; urgency=low

  * Automated git build for 36d8ff2a590603ebea3c5e7b0148a91a2dd1ba1b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 04 Dec 2025 22:51:41 +0100

## k3b-trinity 14.2.0~pre63

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre63-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 1fcadcebe3244127c8128d3c560920b9fb5d1256
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 07 Dec 2025 06:51:42 +0100

## k3b-trinity 14.2.0~pre64

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre64-0ubuntu26.04.0+11~a) resolute; urgency=low

  * Automated git build for fd6c7234a0e6ec5b787aceeebafda6cd9ad9630d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 06 Jan 2026 13:58:43 +0100

## k3b-trinity 14.2.0~pre65

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre65-0ubuntu25.10.0+11) questing; urgency=low

  * Automated git build for 85c9cd963dd6404cff535249c1d0e35c642b82bc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 22 Jan 2026 04:51:03 +0100

## k3b-trinity 14.2.0~pre66

=== debian/changelog ===
k3b-trinity (4:14.2.0~pre66-0ubuntu26.04.0+11~a) resolute; urgency=low

  * Automated git build for d48e98ed25be383693c5ed3aa7fb0ffc97db037f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#k3b

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 10:21:40 +0100
